Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Class RecordTranslationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.resource.ResourceException
                        |
                        +--com.bea.connector.RecordTranslationException

public class RecordTranslationException
extends javax.resource.ResourceException

This class extends a ResourceException and encapsulates the input record that caused the exception; of course a ResourceException already allows for a linked exception

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RecordTranslationException(java.lang.String reason)`
`RecordTranslationException(java.lang.String reason, javax.resource.cci.Record badRecord)`

Method Summary
`java.lang.String` | `getMessage()`
`javax.resource.cci.Record` | `getRecord()` get the Record that caused the exception
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordTranslationException

    public RecordTranslationException(java.lang.String reason)

### RecordTranslationException

    public RecordTranslationException(java.lang.String reason,
                                      javax.resource.cci.Record badRecord)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

### getRecord

    public javax.resource.cci.Record getRecord()

  get the Record that caused the exception

  Returns:
    the record causing the exception

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)